Subject: Porting Unix code to Windows 95 / Windows NT
From: [email-masked] (Aldo Mazzilli)

28 Oct 1998 21:40:32 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hello,
I am Aldo MAZZILLI from INRIA Rhone-Alpes (FRANCE), I am working on a
project dealing with porting of a Unix code to
win 95 and NT, for that I have already downloaded b19-CDK.EXE.

Some problems occur when I'm trying to port little Shell Scripts or
C-programs on Windows 95a (with Internet Explorer 4.0) using CygnusWin32
Bourne Shell (sh).

Here are the principal ones :

---------------------------------------------------------------------

1) How can I get users and groups informations (/etc/passwd ,
/etc/group)
        
 * mkpasswd returns error : 
        "MKPASSWD.EXE is link to a missing exportation NETAPI32.DLL :
                                                NetUserEnum

 * mkgroup
        "MKGROUP.EXE is link to a missing exportation NETAPI32.DLL :
                                                NetApiBufferFree

---------------------------------------------------------------------

2a) Bin commands execution

        $ groups
        returns 'groups : permission denied' under /bin/sh
        Why ??
        NB : a)The PATH contains '.'
             b)This command works correctly under the bash shell

---------------------------------------------------------------------

2b) Shell scripts execution

        $ ls -lisa test
returns  198072740 2 -rw-r--r-- 1 500 everyone 2176 Oct 26 16:30 test
and after $ chmod 777 test
        $ ls -lisa
always returns :
        198072740 2 -rw-r--r-- 1 500 everyone 2176 Oct 26 16:30 test

        How can I execute my 'test' script shell without using './test'
        or 'sh test'

---------------------------------------------------------------------

3) How can I simulate EOF
        CTRL-D is not recognized as End-of-File character when
executing                                
        a C program compiled with gcc compiler.

        NB : CTRL-D is recognized under the bash shell.

---------------------------------------------------------------------

4) Which command can I use instead of 'more' or 'pg'

---------------------------------------------------------------------

5) gcc compiler :
        
        Which differences can I find between Solaris gcc 
                (version 2.7.2.3) and your gcc

        For example :
                Considering :        void main () 
                                   {
                                   return 0;      
                                   }
 
                 gcc compilation returns
                           warning: return type of 'main' is not int
!!   
 
                when SunOS gcc returns nothing

                What can I do to avoid this correction :

                                             int main () 
                                                {
                                                return 0;      
                                                }

        Are there others differences.

---------------------------------------------------------------------

Sincerily,

A. MAZZILLI
-- 
=======================================================================
,',',',',',',' Aldo MAZZILLI             | INRIA Rhone-Alpes          |
,',',',',',',' [email-masked]| 655, avenue de l'Europe    |
,',',',',',',' Tel : 04 76 61 53 91      | 38330 Montbonnot St Martin |
,',',',',',',' Fax : 04 76 61 52 52      | FRANCE                     |
,',' *** Site WEB : http://www.inrialpes.fr/vasy/people/Aldo.Mazzilli |
=======================================================================
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".